Bug 2230101 (CVE-2023-3824)

Summary: CVE-2023-3824 php: phar Buffer mismanagement
Product: [Other] Security Response Reporter: Nick Tait <ntait>
Component: vulnerabilityAssignee: Nobody <nobody>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: hhorak, jorton, nboldt, rcollet, scorneli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: php 8.2.9, php 8.1.22, php 8.0.30 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in PHP that can lead to a buffer overflow and a stack information leak due to improper bounds checking within the phar_dir_read() function. This issue may allow an attacker to initiate memory corruption by compelling the application to open a specially crafted .phar archive, allowing the attacker to corrupt memory or cause a denial of service condition.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2230108, 2230109, 2230110, 2242351, 2258404    
Bug Blocks: 2229397    

Description Nick Tait 2023-08-08 17:55:53 UTC
https://www.php.net/ChangeLog-8.php#8.0.30

Phar:
        Fixed bug GHSA-jqcx-ccgc-xwhv (Buffer mismanagement in phar_dir_read()). (CVE-2023-3824)

Comment 4 Nick Tait 2023-10-05 17:05:45 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 2242351]

Comment 11 errata-xmlrpc 2023-10-19 13:15:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:5926 https://access.redhat.com/errata/RHSA-2023:5926

Comment 12 errata-xmlrpc 2023-10-19 13:24:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:5927 https://access.redhat.com/errata/RHSA-2023:5927

Comment 15 errata-xmlrpc 2024-01-24 10:53:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:0387 https://access.redhat.com/errata/RHSA-2024:0387